Subject: [PWE3] Fwd: draft-ietf-pwe3-p2mp-pw-requirements will be returned to the WG

From: Stewart Bryant <[email-masked]>
Date: Mon, 27 Feb 2012 15:41:39 +0000

I reviewed draft-ietf-pwe3-p2mp-pw-requirements-05
It is my view that this draft falls short of
the bar and that we can do a lot better in terms
of crisply defining the requirements and the
architecture.

I am concerned that the approach was to
bolt p2mp onto the two PWE3 framework RFCs without
standing back and considering the problem on
its own merits. The way that  p2p links are
used in the draft is in my view clumsy
compared to the way that it is added in RFC5331/2.

In particular we should be relying heavily on
RFC5331 and RFC5332 at both the LSP and the
PW level. Using those RFCs as a base, PWE3
should be able to produce a much shorter
simpler framework. The OAM architecture also
needs to be fully described and the design
needs to lean heavily on the MPLS P2MP OAM
work.

With regret I am therefore return the draft
to the WG.

- Stewart